Bug 74071 - Better way to handle desktop file renames
Summary: Better way to handle desktop file renames
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: null
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
: 76110 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-14 17:35 UTC by Owen Taylor
Modified: 2007-03-27 03:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-26 03:49:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:220 normal SHIPPED_LIVE : Updated KDE packages fix security issues 2002-10-01 04:00:00 UTC

Description Owen Taylor 2002-09-14 17:35:31 UTC
There are possible compatibility concerns about renaming the
KDE desktop files to add the kde- prefix; they are used 
frequently to look up different services using
KService::serviceByDesktopName 
(often via KApplication::startServiceByDesktopName)

The problem is shown by the size of the .dtfix patch that was needed
for kdebase, though, admittedly, most of that is the trivial case
of kcmshell desktop files.

A bit of additional technology would make the renames invisible
to applicaitons using serviceByDesktopName:

the addition of the kde- prefix is done by the desktop-file-install tool.      
            
What it should do, is, at the same time add a X-RedHat-DesktopName             
                                                                               
                                             field with the original name.

Then, make kio/kio/kservice.c:KService::init()                              
use this, if set, to set m_strDesktopEntryName.

Comment 1 Havoc Pennington 2002-09-14 18:13:04 UTC
This is a must-fix bug for future milestones.

Comment 2 Ngo Than 2002-10-08 17:38:43 UTC
3.0.3-10 includes solution B to handle desktop file renames better.

>Solution B: When renaming the desktop files, we always
>do that by prepending "kde-", and we make the
>findServiceByDesktopName try the the name with kde-
>prepended as a fallback from the specified name.

Comment 3 Owen Taylor 2002-10-08 17:49:35 UTC
Has the patch been sent upstream?

Comment 4 Havoc Pennington 2002-12-20 14:56:48 UTC
*** Bug 76110 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.